Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	gnu ddrescue data recovery tool
Name:		ddrescue
Version:	1.12
Release:	1
License:	GNU/GPL 
URL:		http://www.gnu.org/software/ddrescue/
Group:		System/Hardware
Source0:	ddrescue-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
GNU ddrescue is a data recovery tool. It copies data from one file or block device (hard disc, cdrom, etc) to another, trying hard to rescue data in case of read errors.

The basic operation of ddrescue is fully automatic. That is, you don't have to wait for an error, stop the program, read the log, run it in reverse mode, etc.

If you use the logfile feature of ddrescue, the data is rescued very efficiently (only the needed blocks are read). Also you can interrupt the rescue at any time and resume it later at the same point.

Automatic merging of backups: If you have two or more damaged copies of a file, cdrom, etc, and run ddrescue on all of them, one at a time, with the same output file, you will probably obtain a complete and error-free file. This is so because the probability of having damaged areas at the same places on different input files is very low. Using the logfile, only the needed blocks are read from the second and successive copies.

The logfile is periodically saved to disc. So in case of a crash you can resume the rescue with little recopying.

Also, the same logfile can be used for multiple commands that copy different areas of the file, and for multiple recovery attempts over different subsets.

Ddrescue aligns its I/O buffer to the sector size so that it can be used to read from raw devices. For efficiency reasons, also aligns it to the memory page size if page size is a multiple of sector size.
	

%post
ldconfig
/sbin/install-info %{_infodir}/ddrescue.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/ddrescue.info.gz %{_infodir}/dir
fi



%prep
%setup -q -n ddrescue-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%_infodir/dir
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README
%{_bindir}/ddrescue
%{_infodir}/ddrescue.info.gz
%{_mandir}/man1/ddrescue.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.12-1
- Version update
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.11-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
* Sat Jan 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.11-1
- Initial Release
